path: /build/build/baselayout-java-sys-apps-0.1.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} sys-apps/baselayout-java -pv -t && \
    emerge -j ${JOBS} --nodeps sys-apps/baselayout-java
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/baselayout-java && luet-portage --dir
    /pkgdir/baselayout-java sys-apps/baselayout-java && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a4cb95568712443c951fdee425f683b838de5df5c88a43747129a7e73bf3559b
  package:
    name: baselayout-java
    version: 0.1.0
    category: sys-apps
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Baselayout for Java
    uri:
    - https://wiki.gentoo.org/wiki/Project:Java
    license: GPL-2
    buildtimestamp: 2023-09-25 07:58:46.584895141 +0000 UTC m=+116.522467286
    labels:
      BDEPEND: app-crypt/p11-kit[trust] app-misc/ca-certificates
      RDEPEND: app-crypt/p11-kit[trust] app-misc/ca-certificates !<dev-java/java-config-2.2
      emerge.packages: sys-apps/baselayout-java
      kit: java-kit
      original.package.name: sys-apps/baselayout-java
      original.package.slot: "0"
      original.package.version: 0.1.0-r1
    treedir: /build/packages
  package_dir: /pkgdir/baselayout-java
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: fb8260dc0d915d3d1ee606e17fc5757c629e56ab702a21a425dfd80d1637c52b
compressiontype: zstd
files:
- etc/ca-certificates/update.d/java-cacerts
- etc/env.d/20java-config
- etc/profile.d/java-config-2.csh
- etc/profile.d/java-config-2.sh
- etc/revdep-rebuild/60-java
- etc/ssl/certs/java/.keep_sys-apps_baselayout-java-0
- usr/share/applications/javaws.desktop
- usr/share/doc/baselayout-java-0.1.0-r1/AUTHORS
- usr/share/doc/baselayout-java-0.1.0-r1/ChangeLog.bz2
- usr/share/doc/baselayout-java-0.1.0-r1/NEWS.bz2
- usr/share/doc/baselayout-java-0.1.0-r1/README.bz2
- usr/share/icons/hicolor/48x48/mimetypes/application-x-java-jnlp-file.png
- usr/share/pixmaps/java-icon48.png
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/BDEPEND
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/BUILD_TIME
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/CATEGORY
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/CBUILD
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/CFLAGS
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/CHOST
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/CONTENTS
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/COUNTER
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/CXXFLAGS
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/DEFINED_PHASES
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/DESCRIPTION
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/EAPI
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/FEATURES
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/HOMEPAGE
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/INHERITED
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/IUSE
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/KEYWORDS
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/LDFLAGS
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/LICENSE
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/PF
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/RDEPEND
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/SIZE
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/SLOT
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/USE
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/baselayout-java-0.1.0-r1.ebuild
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/environment.bz2
- var/db/pkg/sys-apps/baselayout-java-0.1.0-r1/repository
package_cacheimage: ""
runtime:
  name: baselayout-java
  version: 0.1.0
  category: sys-apps
  requires:
  - name: p11-kit
    version: '>=0'
    category: app-crypt
  - name: ca-certificates
    version: '>=0'
    category: app-misc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Baselayout for Java
  uri:
  - https://wiki.gentoo.org/wiki/Project:Java
  license: GPL-2
  labels:
    BDEPEND: app-crypt/p11-kit[trust] app-misc/ca-certificates
    RDEPEND: app-crypt/p11-kit[trust] app-misc/ca-certificates !<dev-java/java-config-2.2
    emerge.packages: sys-apps/baselayout-java
    kit: java-kit
    original.package.name: sys-apps/baselayout-java
    original.package.slot: "0"
    original.package.version: 0.1.0-r1
